#!/bin/bash

#####################################################################################
# linux shell color support.
RED="\\033[31m"
GREEN="\\033[32m"
YELLOW="\\033[33m"
BLACK="\\033[0m"

echo -e "${GREEN}The build summary:${BLACK}"
echo -e "     ${BLACK}+------------------------------------------------------------------------------------${BLACK}"
echo -e "     ${GREEN}For SRS benchmark, gperf, gprof and valgrind, please read:${BLACK}"
echo -e "     ${GREEN}     https://www.jianshu.com/p/6d4a89359352${BLACK}"
echo -e "     ${BLACK}+------------------------------------------------------------------------------------${BLACK}"
echo -e "     |${GREEN}The main server usage: ./objs/srs -c conf/srs.conf, start the srs server${BLACK}"
echo -e "     |     ${GREEN}About HLS, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/delivery-hls${BLACK}"
echo -e "     |     ${GREEN}About DVR, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/dvr${BLACK}"
echo -e "     |     ${GREEN}About SSL, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/rtmp-handshake${BLACK}"
echo -e "     |     ${GREEN}About transcoding, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/ffmpeg${BLACK}"
echo -e "     |     ${GREEN}About ingester, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/ingest${BLACK}"
echo -e "     |     ${GREEN}About http-callback, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/http-callback${BLACK}"
echo -e "     |     ${GREEN}Aoubt http-server, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/http-server${BLACK}"
echo -e "     |     ${GREEN}About http-api, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/http-api${BLACK}"
echo -e "     |     ${GREEN}About stream-caster, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/streamer${BLACK}"
echo -e "     |     ${YELLOW}(Disabled) About VALGRIND, please read https://github.com/ossrs/state-threads/issues/2${BLACK}"
echo -e "     ${BLACK}+------------------------------------------------------------------------------------${BLACK}"
echo -e "${GREEN}binaries, please read https://ossrs.net/lts/zh-cn/docs/v4/doc/install${BLACK}"

echo "You can:"
echo "      ./objs/srs -c conf/srs.conf"
echo "                  to start the srs server, with config conf/srs.conf."
